<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\Termine\TerminDialog;

trait TerminHasAccessToKurstag
{
  protected function hasAccessToKurstag(): bool
  {
    if (isset($this->request->ktId)) {
      $knr = $this->getKurstag()->knr;
      if (isset($this->request->knr) && $knr !== $this->request->knr) {
        return false;
      }
    } else {
      $knr = $this->request->knr;
    }
    $user = $this->getUser();

    return \Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog\TerminStornierenUtils::hasAccessToKurs($knr, $user->id);
  }
}